<template>
  <v-container>
    <page-title>
      Razón de Consulta #{{ formatId(medicalReasonId) }}
    </page-title>

    <page-content>
      <medical-reason-details :id="medicalReasonId" />
    </page-content>
  </v-container>
</template>

<script>
import PageTitle from '~/components/PageTitle';
import PageContent from '~/components/PageContent';
import MedicalReasonDetails from '~/components/MedicalReason/MedicalReasonDetails';
import { formatId } from '~/helpers/format';

export default {
  name: 'MotivosConsultaDetalles',
  components: {
    PageTitle,
    PageContent,
    MedicalReasonDetails,
  },
  asyncData({ params: { id } }) {
    return { medicalReasonId: id };
  },
  methods: {
    formatId,
  },
};
</script>

<style scoped>
</style>
